## Get customer's address

### cURL

```
curl --request GET \
  --url https://api.fabric.inc/v3/customers/{customerId}/customer-address/{addressId} \
  --header 'Authorization: Bearer <token>'
```

### Python

```
import requests

url = "https://api.fabric.inc/v3/customers/{customerId}/customer-address/{addressId}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
```

### JavaScript (Fetch)

```
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.fabric.inc/v3/customers/{customerId}/customer-address/{addressId}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

### PHP

```


```

### Response

200

#### Example

```
{
  "id": "61604a30fdfacd0009816e44",
  "address": {
    "type": "BILLING",
    "addressLine1": "123 Main St.",
    "addressLine2": "Suite 100",
    "addressLine3": "Seventh floor",
    "addressLine4": "Attention: Pat E. Doe",
    "city": "Seattle",
    "region": "WA",
    "postalCode": 98121,
    "county": "King County",
    "country": "US",
    "latitude": 47.6205,
    "longitude": -122.3493
  },
  "isDeleted": false,
  "createdAt": "2023-08-30T23:20:42.822Z",
  "updatedAt": "2023-08-30T23:20:42.822Z",
  "additionalAttributes": {
    "landmark": "Beach"
  },
  "isDefault": false,
  "deletedAt": "2023-08-30T23:20:42.822Z"
}
```

### Authorizations

#### Authorization
- **Type**: string  
- **Required**: Yes  
- **Description**: The access token.

#### Headers
- **x-fabric-tenant-id**: string - A header used by fabric to identify the tenant making the request. Required.

#### Path Parameters
- **customerId**: string (required) - A 24-character system-generated ID.  
- **addressId**: string (required) - A 24-character system-generated ID of the customer's address.

### Response Schema

- **id**: string (required) - A 24-character ID of the address.
- **address**: object (required) - The address details.
- **isDeleted**: boolean (required) - Flag indicating whether the address is deleted.
- **createdAt**: string<date-time> (required) - Creation time in UTC format.
- **updatedAt**: string<date-time> \| null (required) - Last updated time in UTC format.
- **additionalAttributes**: object - Additional info in key-value pairs.
- **isDefault**: boolean - Flag indicating if the address is the default one.
- **deletedAt**: string<date-time> \| null - Time when the address was deleted.
